List Catalog Family Replacement Candidates
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/project-item-replacement-candidatesimport requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/project-item-replacement-candidates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/project-item-replacement-candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourceItemType": "default",
"items": [
{
"id": "<string>",
"name": "<string>",
"status": "draft",
"itemType": "default",
"position": 123,
"categoryId": "<string>",
"productTypeId": "<string>",
"code": "<string>",
"categoryName": "<string>",
"primaryImageUrl": "<string>",
"columnsAttributes": {},
"primaryItemId": "<string>",
"primaryItemName": "<string>",
"primaryItemVersion": 123,
"primaryItemColumnsAttributes": {},
"primaryFamilySourceId": "<string>",
"primarySourceContactCompany": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"available": true,
"identity": {
"globalCompany": {
"id": "<string>",
"name": "<string>",
"primaryType": "brand",
"legalName": "<string>",
"country": "<string>",
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"retiredAt": "<string>"
},
"version": 123,
"suggestion": {
"candidates": [
{
"company": {
"id": "<string>",
"name": "<string>",
"primaryType": "brand",
"legalName": "<string>",
"country": "<string>",
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"retiredAt": "<string>"
},
"nameMatch": true,
"matchingHosts": [
"<string>"
],
"typeMatch": true
}
],
"expectedVersion": 123,
"evidenceFingerprint": "<string>"
}
}
},
"primarySourceContactOffice": {
"id": "<string>",
"name": "<string>",
"address": "<string>",
"currency": "USD",
"available": true
},
"primaryFamilySourceVersion": 123,
"primarySourceColumnsAttributes": {},
"primaryItemSourceId": "<string>",
"primaryItemSourceVersion": 123,
"primaryItemSourceColumnsAttributes": {},
"metadata": {},
"partsCount": 123,
"materialsCount": 123,
"usedAsParts": true,
"catalogAlternativeCount": 123,
"similarItemsCount": 123,
"coreChangePolicy": {},
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"finishesCount": 123,
"productsCount": 123
}
],
"nextCursor": "<string>",
"hasMore": true
}Catalog Family Replacement Candidates
List Catalog Family Replacement Candidates
GET
/
v1
/
workspaces
/
{workspaceId}
/
project-item-replacement-candidates
List Catalog Family Replacement Candidates
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Pattern:
^[1-9]\d*$Show child attributes
Show child attributes
⌘I